libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Classes | Namespaces
ipc_pipe.h File Reference

IPC mechanism for IPA isolation. More...

`#include <stdint.h>`
`#include <vector>`
`#include <libcamera/base/shared_fd.h>`
`#include <libcamera/base/signal.h>`
`#include "libcamera/internal/ipc_unixsocket.h"`
Include dependency graph for ipc_pipe.h:

Go to the source code of this file.

## Classes
class | libcamera::IPCMessage
| IPC message to be passed through IPC message pipe. More...
struct | libcamera::IPCMessage::Header
| Container for an IPCMessage header. More...
class | libcamera::IPCPipe
| IPC message pipe for IPA isolation. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

IPC mechanism for IPA isolation.